Subject: Re: bug#62717: 29.0.60; c-ts-mode does not indent the first line in a function after RET

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Apr 2023 20:37:14 +0300

> Date: Sun, 9 Apr 2023 19:33:20 +0300
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > If the patch solves some of the problems, passes the test suite, and
> > doesn't introduce any regressions you see, I think you should install
> > it (unless someone here objects).
> 
> With this kind of change, it's hard to judge regression potential in 
> advance. I don't really write C/C++ myself with any regularity. And our 
> test suite doesn't really work incomplete parse trees, I think.
> 
> So if we want this in emacs-29, I think someone interested should try 
> running with this patch applied, at least for a little bit. Maybe just 
> wait for a couple of days, if Daniel is testing it already.

The pretest will be out VSN.  Maybe you should install this, and we
can then back it out if people complain.  FWIW, I intend to use only
c-ts-mode when I the pretest is out, so if there are regressions, I
think I will see it soon enough.